<?php

class formWidgetSnowstormOptions extends cmsForm {

    public function init() {

		$version = cmsCore::getVersionArray();
		
		$optionsArray = array(

			new fieldNumber('options:animationInterval', array(
				'title' => LANG_WD_SNOWSTORM_ANIMATIONINTERVAL,
				'hint' => LANG_WD_SNOWSTORM_ANIMATIONINTERVAL_HINT,
				'default' => 1000
			)),

			new fieldNumber('options:flakeBottom', array(
				'title' => LANG_WD_SNOWSTORM_FLAKEBOTTOM,
				'hint' => LANG_WD_SNOWSTORM_FLAKEBOTTOM_HINT,
				'default' => 0
			)),

			new fieldNumber('options:flakesMax', array(
				'title' => LANG_WD_SNOWSTORM_FLAKESMAX,
				'hint' => LANG_WD_SNOWSTORM_FLAKESMAX_HINT,
				'default' => 30
			)),

			new fieldNumber('options:flakesMaxActive', array(
				'title' => LANG_WD_SNOWSTORM_FLAKESMAXACTIVE,
				'hint' => LANG_WD_SNOWSTORM_FLAKESMAXACTIVE_HINT,
				'default' => 20
			)),

			new fieldNumber('options:vMaxX', array(
				'title' => LANG_WD_SNOWSTORM_VMAXX,
				'default' => 3
			)),

			new fieldNumber('options:vMaxY', array(
				'title' => LANG_WD_SNOWSTORM_VMAXY,
				'default' => 3
			)),

			new fieldCheckbox('options:followMouse', array(
				'title' => LANG_WD_SNOWSTORM_FOLLOWMOUSE,
				'default' => true
			)),

			new fieldCheckbox('options:freezeOnBlur', array(
				'title' => LANG_WD_SNOWSTORM_FREEZEONBLUR,
				'default' => true
			)),

			new fieldCheckbox('options:excludeMobile', array(
				'title' => LANG_WD_SNOWSTORM_EXCLUDEMOBILE,
			)),

			new fieldCheckbox('options:snowStick', array(
				'title' => LANG_WD_SNOWSTORM_SNOWSTICK,
				'default' => true
			)),

			new fieldString('options:className', array(
				'title' => LANG_WD_SNOWSTORM_CLASSNAME,
			)),

			new fieldString('options:targetElement', array(
				'title' => LANG_WD_SNOWSTORM_TARGETELEMENT,
			)),

			new fieldCheckbox('options:useMeltEffect', array(
				'title' => LANG_WD_SNOWSTORM_USEMELTEFFECT,
				'default' => true
			)),

			new fieldCheckbox('options:useTwinkleEffect', array(
				'title' => LANG_WD_SNOWSTORM_USETWINKLEEFFECT,
				'default' => true
			)),
		);

		if ($version['major'] >= 2 && $version['minor'] >= 5){

			array_push($optionsArray, new fieldColor('options:snowColor', array(
				'title' => LANG_WD_SNOWSTORM_SNOWCOLOR,
				'hint' => LANG_WD_SNOWSTORM_SNOWCOLOR_HINT,
				'default' => '#ffffff'
			)));

		} else {

			array_push($optionsArray, new fieldString('options:snowColor', array(
				'title' => LANG_WD_SNOWSTORM_SNOWCOLOR,
				'hint' => LANG_WD_SNOWSTORM_SNOWCOLOR_HINT,
				'default' => '#ffffff'
			)));

		}
		
        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS, 
                'childs' => $optionsArray
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_WD_SNOWSTORM_FLAKES, 
                'childs' => array(

					new fieldCheckbox('options:imgsnow1', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW1,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow2', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW2,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow3', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW3,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow4', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW4,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow5', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW5,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow6', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW6,
						'default' => true
					)),

					new fieldCheckbox('options:imgsnow7', array(
						'title' => LANG_WD_SNOWSTORM_IMGSNOW7,
						'default' => true
					)),

					new fieldCheckbox('options:snow10048', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10048,
						'default' => true
					)),

					new fieldCheckbox('options:snow10049', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10049,
						'default' => true
					)),

					new fieldCheckbox('options:snow10050', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10050,
						'default' => true
					)),

					new fieldCheckbox('options:snow10051', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10051,
						'default' => true
					)),

					new fieldCheckbox('options:snow10052', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10052,
						'default' => true
					)),

					new fieldCheckbox('options:snow10053', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10053,
						'default' => true
					)),

					new fieldCheckbox('options:snow10054', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10054,
						'default' => true
					)),

					new fieldCheckbox('options:snow10055', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10055,
						'default' => true
					)),

					new fieldCheckbox('options:snow10056', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10056,
						'default' => true
					)),

					new fieldCheckbox('options:snow10057', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10057,
						'default' => true
					)),

					new fieldCheckbox('options:snow10058', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10058,
						'default' => true
					)),

					new fieldCheckbox('options:snow10059', array(
						'title' => LANG_WD_SNOWSTORM_SNOW10059,
						'default' => true
					)),
				)
            ),
        );
    }
}